Subject: bug#58281: 27.1; windows mangles encoding on command line

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Nov 2022 14:09:21 +0200

> From: Daniel Bastos <[email-masked]>
> Date: Mon, 7 Nov 2022 19:42:32 -0300
> Cc: [email-masked]
> 
> On Mon, Nov 7, 2022 at 5:24 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > > From: Daniel Bastos <[email-masked]>
> > > Date: Mon, 7 Nov 2022 16:40:04 -0300
> > > Cc: [email-masked]
> > >
> > > > > I've now installed a change for Emacs 29 that I think should fix your
> > > > > problems.  So if you can try the current master branch of the Emacs
> > > > > Git repository, please do, and see if your problem with Fossil are
> > > > > solved there.
> > >
> > > I'm not sure which is "Emacs 29".  I took the master branch
> > >
> > >   https://git.savannah.gnu.org/cgit/emacs.git/
> > >
> > > right now --- November 7th, 15h EST --- and followed nt/INSTALL.W64 to
> > > compile it using MSYS32 in a MINGW64 shell.  After building the
> > > runemacs.exe, I ran it with the option -Q and I see the version is
> > >
> > >   GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32) of 2022-11-07
> > >
> > > I get the following behavior:
> >
> > Btw, what is the value of locale-coding-system in this case for you in
> > Emacs 29?
> 
> On *scratch*, I say
> 
>   locale-coding-system C-u M-x eval-last-sexp
> 
> and I get
> 
>   cp1252
> 
> I did something similar while in ESHELL and I got the same cp1252.

This is the expected value, so everything seems to work as I intended.